ICU 76.1: U_HEADER_ONLY_NAMESPACE::CodePointRange Struct Reference

ICU 76.1 76.1

Data Structures | Public Member Functions | Data Fields
U_HEADER_ONLY_NAMESPACE::CodePointRange Struct Reference

A contiguous range of code points in a USet/UnicodeSet. More...

`#include <uset.h>`

## Data Structures
struct | iterator

## Public Member Functions
| CodePointRange (UChar32 start, UChar32 end)
| CodePointRange (const CodePointRange &other)=default
size_t | size () const
iterator | begin () const
iterator | end () const

## Data Fields
UChar32 | rangeStart
| Start of a USet/UnicodeSet range of code points.
UChar32 | rangeEnd
| Inclusive end of a USet/UnicodeSet range of code points.

## Detailed Description

A contiguous range of code points in a USet/UnicodeSet.

Returned by USetRangeIterator which is returned by USetRanges. Both the rangeStart and rangeEnd are in the range. (end() returns an iterator corresponding to rangeEnd+1.)

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1459 of file uset.h.

## Constructor & Destructor Documentation

## ◆ CodePointRange() [1/2]

U_HEADER_ONLY_NAMESPACE::CodePointRange::CodePointRange | ( | UChar32 | start,
|  | UChar32 | end )
| inline

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1498 of file uset.h.

## ◆ CodePointRange() [2/2]

U_HEADER_ONLY_NAMESPACE::CodePointRange::CodePointRange | ( | const CodePointRange & | other | ) |
| default

Draft
  This API may be changed in the future versions and was introduced in ICU 76

## Member Function Documentation

## ◆ begin()

iterator U_HEADER_ONLY_NAMESPACE::CodePointRange::begin | ( |  | ) | const
| inline

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1504 of file uset.h.

References rangeStart.

## ◆ end()

iterator U_HEADER_ONLY_NAMESPACE::CodePointRange::end | ( |  | ) | const
| inline

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1506 of file uset.h.

References rangeEnd.

## ◆ size()

size_t U_HEADER_ONLY_NAMESPACE::CodePointRange::size | ( |  | ) | const
| inline

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1502 of file uset.h.

References rangeEnd, and rangeStart.

## Field Documentation

## ◆ rangeEnd

UChar32 U_HEADER_ONLY_NAMESPACE::CodePointRange::rangeEnd

Inclusive end of a USet/UnicodeSet range of code points.

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1517 of file uset.h.

Referenced by end(), and size().

## ◆ rangeStart

UChar32 U_HEADER_ONLY_NAMESPACE::CodePointRange::rangeStart

Start of a USet/UnicodeSet range of code points.

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1512 of file uset.h.

Referenced by begin(), and size().

The documentation for this struct was generated from the following file:

- common/unicode/uset.h